Subject: Re: espressobin device tree with kernel 5.1 RC

From: Miquel Raynal <[email-masked]>
Date: Tue, 18 Jun 2019 09:58:12 +0200

Hi Timothy,

"Timothy Krantz" <[email-masked]> wrote on Mon, 17 Jun 2019
13:19:46 -0400:

> Thanks Miquel,
> 
> > -----Original Message-----
> > From: Miquel Raynal [mailto:[email-masked]]
> > Sent: Monday, June 17, 2019 5:40 AM
> > To: Timothy Krantz <[email-masked]>
> > Cc: [email-masked]
> > Subject: Re: espressobin device tree with kernel 5.1 RC
> > 
> > Hi Timothy,
> > 
> > Miquel Raynal <[email-masked]> wrote on Mon, 17 Jun 2019
> > 11:38:41 +0200:
> >   
> > > Hi Timothy,
> > >
> > > Please keep the Linux ARM kernel ML in copy.
> > >
> > > "Timothy Krantz" <[email-masked]> wrote on Sat, 15 Jun  
> > 2019  
> > > 18:56:00 -0400:
> > >  
> > > > Hello,
> > > > I am still unable to get 5.1 or 5.2rc kernels to boot with the associated dtb.  
> > They all seem to work fine with the older dtb.  
> > > >
> > > > I am certain that it is something in my .config that is not properly set.
> > > >
> > > > I don't suppose you can send me a copy of your .config that works so that  
> > I can try with that?  
> > >
> > > MyHere is my configuration for a 5.2-rc1 kernel.  
> > 
> > Here it is -> http://code.bulix.org/ngdr8z-774071
> > 
> > SATA port is working with this setup.
> > 
> > Thanks,
> > Miquèl  
> 
> This https://pastebin.com/xPTMdbbx
> 

You should add traces where theses prints come from and find what is
missing.

> Is what I get with a kernel configured with your .config.
> 
> I suspect there is some magic in 
> 
> CONFIG_INITRAMFS_SOURCE="/home/mraynal/buildroot/output-arm/images/rootfs.cpio"
> 
> Which I do not have that may be making a difference? (that is the only difference in what I compiled and you sent to me).

Not at all, this is just my rootfs as an initramfs, not related to the
content of the kernel at all.

Good luck!
Miquèl

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel